Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 84061

Summary: fritzcapi: kernel oops with fcpcmcia using kernel > 2.6.10
Product: Gentoo Linux Reporter: marco <maggoi>
Component: [OLD] Core systemAssignee: Stefan Schweizer (RETIRED) <genstef>
Status: RESOLVED FIXED    
Severity: critical CC: betelgeuse, kernel, lpetersen, sbriesen, spamlover
Priority: High    
Version: 2004.3   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: kernel oops
kernel config
config-2.6.10-r6

Description marco 2005-03-04 02:04:59 UTC
While plugging in my AVM  fritz pcmcia capi isdn card I get a kernel oops in preempt. I'm using the fritzcapi ebuild. It seems that there is no issue with 2.6.10-rc6.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




emerge info 
Portage 2.0.51.19 (default-linux/x86/2004.2, gcc-3.4.3, glibc-2.3.4.20050125-r0, 
2.6.11-gentoo-r1 i686) 
================================================================= 
System uname: 2.6.11-gentoo-r1 i686 Intel(R) Pentium(R) M processor 1600MHz 
Gentoo Base System version 1.6.9 
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 18 2005, 16:23:46)] 
dev-lang/python:     2.3.5 
sys-devel/autoconf:  2.13, 2.59-r6 
sys-devel/automake:  1.8.5-r3, 1.7.9-r1, 1.5, 1.6.3, 1.4_p6, 1.9.4 
sys-devel/binutils:  2.15.92.0.2-r4 
sys-devel/libtool:   1.5.10-r5 
virtual/os-headers:  2.4.22-r1 
ACCEPT_KEYWORDS="x86 ~x86" 
AUTOCLEAN="yes" 
CFLAGS="-march=pentium-m -pipe -fno-delayed-branch -fcaller-saves -freorder-blocks 
-freorder-functions -falign-jumps -finline-functions -frename-registers -fweb 
-fomit-frame-pointer -fno-trapping-math -falign-functions=64" 
CHOST="i686-pc-linux-gnu" 
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d" 
CXXFLAGS="-march=pentium-m -pipe -fno-delayed-branch -fcaller-saves 
-freorder-blocks -freorder-functions -falign-jumps -finline-functions -frename-registers 
-fweb -fomit-frame-pointer -fno-trapping-math -falign-functions=64" 
DISTDIR="/usr/portage/distfiles" 
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms userpriv" 
GENTOO_MIRRORS="http://mirror.switch.ch/mirror/gentoo/" 
MAKEOPTS="-j2" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
PORTDIR_OVERLAY="/usr/local/portage" 
SYNC="rsync://rsync.gentoo.org/gentoo-portage" 
USE="x86 X aalib acpi acpi4linux aim alsa antlr apm arts audiofile avi berkdb 
bitmap-fonts bluetooth cddbcdr chroot crypt cups curl divx4linux dv dvd dvdr dvdread 
emboss encode esd ethereal f77 fam flac font-server foomaticdb fortran gda gdbm gif 
gimp gimpprint glade gphoto2 gpm gstreamer gtk gtk2 ieee1394 imagemagick imlib ipv6 
irda irmc jack java jpeg junit kandy kde kdepim ldap libg++ libwww mad mbox mikmod 
mime mjpeg mmx motif mpeg mpeg4 msn mysql ncurses nls odbc oggvorbis opengl oss 
other_var1 other_var2 pam pcmcia pdflib perl php png postgres ppds python qt quicktime 
readline samba scanne scanner sdl slang sox speex spell sse sse2 ssl svga tcltk tcpd 
tetex tiff truetype truetype-fonts type1-fonts usb xine xinerama xml2 xmmsxv xvid zlib" 
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS
Comment 1 marco 2005-03-04 02:05:50 UTC
Created attachment 52634 [details]
kernel oops
Comment 2 marco 2005-03-04 02:09:31 UTC
Created attachment 52635 [details]
kernel config
Comment 3 marco 2005-03-04 02:10:22 UTC
Created attachment 52636 [details]
config-2.6.10-r6
Comment 4 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-04 02:14:51 UTC
assuming you mean r1 ant not rc1
Comment 5 marco 2005-03-04 03:43:57 UTC
I mean this kernel:
*  sys-kernel/gentoo-dev-sources
      Latest version available: 2.6.11-r1
      Latest version installed: 2.6.11-r1
      Size of downloaded files: 36,452 kB
      Homepage:    http://dev.gentoo.org/~dsd/gentoo-dev-sources
      Description: Full sources including the gentoo patchset for the 2.6 kernel tree
      License:     GPL-2
Comment 6 Dead Schorsch 2005-03-08 00:15:27 UTC
Same here (same hardware: Dell Latitute D800, Fritz!PCMCIA v2), using kernel 2.6.11-gentoo-r2 and fritzcapi 2.6.32. Used to work with gentoo-dev-sources 2.6.10 series:

<inserting point>
Mar  8 09:11:52 DLD8-FBLK31J kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia: AVM FRITZ!Card PCMCIA driver, revision 0.6.2
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia: (fcpcmcia built on Mar  7 2005 at 21:04:27)
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia: Driver 'fcpcmcia' attached to stack. (152)
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia_cs: Registering driver for PCMCIA Card Services...
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia_cs: testing i/o 0x140-0x147
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia: CS addcard: io 140, irq 11
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia: Stack version 3.11-02
Mar  8 09:11:52 DLD8-FBLK31J kernel: Trying to free nonexistent resource <00000140-00000147>
Mar  8 09:11:52 DLD8-FBLK31J kernel: fcpcmcia: CS delcard: io 140, irq 11
Mar  8 09:11:52 DLD8-FBLK31J kernel: fa84ef76
Mar  8 09:11:52 DLD8-FBLK31J kernel: PREEMPT
Mar  8 09:11:52 DLD8-FBLK31J kernel: Modules linked in: fcpcmcia_cs fcpcmcia snd_pcm_oss snd_mixer_oss snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device ndiswrapper eth1394 parport_pc parport ohci1394 ieee1394 tg3 snd_intel8x0 snd_ac97_codec snd_pcm snd_timer snd soundcore snd_page_alloc ehci_hcd uhci_hcd usbcore ppp_generic slhc capi capifs kernelcapi ide_cd cdrom rtc speedstep_centrino battery button thermal processor ac nvidia
Mar  8 09:11:52 DLD8-FBLK31J kernel: CPU:    0
Mar  8 09:11:52 DLD8-FBLK31J kernel: EIP:    0060:[<fa84ef76>]    Tainted: P      VLI
Mar  8 09:11:52 DLD8-FBLK31J kernel: EFLAGS: 00010286   (2.6.11-gentoo-r2)
Mar  8 09:11:52 DLD8-FBLK31J kernel: EIP is at reset_ctrl+0x16/0xb0 [fcpcmcia]
Mar  8 09:11:52 DLD8-FBLK31J kernel: eax: ee58f258   ebx: f133dd00   ecx: 00000000   edx: 10000000
Mar  8 09:11:52 DLD8-FBLK31J kernel: esi: 00212931   edi: ee58f258   ebp: f133dd00   esp: f74a3b30
Mar  8 09:11:52 DLD8-FBLK31J kernel: ds: 007b   es: 007b   ss: 0068
Mar  8 09:11:52 DLD8-FBLK31J kernel: Process cardmgr (pid: 13492, threadinfo=f74a2000 task=f7885550)
Mar  8 09:11:52 DLD8-FBLK31J kernel: Stack: fa87a7e0 fa84fe2f f133dd00 f9224a12 f1177f03 fa84faaf ee58f258 fa858856
Mar  8 09:11:52 DLD8-FBLK31J kernel:        00000140 0000000b f922483b 00000140 0000000b 00000000 f9224765 f133dd00
Mar  8 09:11:52 DLD8-FBLK31J kernel:        f9224a44 00000140 0000000b f4715b54 f7dda2b8 00000246 f1177f00 4e445349
Mar  8 09:11:52 DLD8-FBLK31J kernel: Call Trace:
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<fa84fe2f>] lprintf+0x1f/0x30 [fcpcmcia]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<fa84faaf>] fcpcmcia_delcard+0x3f/0x60 [fcpcmcia]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<f922483b>] fcpcmcia_release+0x2b/0x80 [fcpcmcia_cs]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<f9224765>] fcpcmcia_config+0x345/0x3f0 [fcpcmcia_cs]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c02f7224>] preempt_schedule_irq+0x44/0x60
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c024007b>] pnpacpi_parse_allocated_memresource+0x5b/0x90
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c01109a2>] recalc_task_prio+0xe2/0x160
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0110a00>] recalc_task_prio+0x140/0x160
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0111718>] __wake_up_common+0x38/0x70
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0138237>] prep_new_page+0x77/0x80
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c011094c>] recalc_task_prio+0x8c/0x160
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0110a84>] activate_task+0x64/0x80
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0110ba9>] try_to_wake_up+0xb9/0xc0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c02861e9>] pccard_get_next_tuple+0x209/0x310
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0285d03>] pccard_get_first_tuple+0x83/0x140
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0287828>] pccard_read_tuple+0xa8/0xc0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<f9224954>] fcpcmcia_event+0xc4/0xd0 [fcpcmcia_cs]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c028929b>] pcmcia_register_client+0x3fb/0x430
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0192b1c>] sysfs_make_dirent+0x2c/0xa0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0193c2c>] sysfs_add_link+0xac/0xf0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<f92241b2>] fcpcmcia_cs_attach+0x142/0x200 [fcpcmcia_cs]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c025a8d8>] bus_add_device+0xb8/0xd0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<f9224890>] fcpcmcia_event+0x0/0xd0 [fcpcmcia_cs]
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c01d8d30>] kobject_release+0x0/0x10
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c025936f>] device_add+0x4f/0x190
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0288dbb>] bind_request+0x2cb/0x3b0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c028a166>] ds_ioctl+0x696/0x770
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c016a9e0>] do_ioctl+0x70/0xb0
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c016ac75>] vfs_ioctl+0x65/0x200
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c016ae55>] sys_ioctl+0x45/0x70
Mar  8 09:11:52 DLD8-FBLK31J kernel:  [<c0102809>] sysenter_past_esp+0x52/0x75
Mar  8 09:11:52 DLD8-FBLK31J kernel: Code: 3b 44 24 50 0f 4f 44 24 50 83 c4 30 5b 5e 5f 5d c3 8d 74 26 00 83 ec 14 89 7c 24 10 8b
7c 24 18 89 5c 24 08 89 74 24 0c 8b 77 04 <8b> 46 34 85 c0 75 23 89 34 24 e8 4b fc ff ff 89 7c 24 18 8b 5c
Comment 7 Daniel Drake (RETIRED) gentoo-dev 2005-03-08 02:07:24 UTC
Please don't reassign bugs for no reason
Comment 8 marco 2005-03-08 03:21:33 UTC
Sorry, that was not what I was up to. It was just a wrong click.
Comment 9 Daniel Drake (RETIRED) gentoo-dev 2005-03-12 14:01:54 UTC
We've mailed AVM about this. Hoping to hear back soon.
Comment 10 Petteri R├Ąty (RETIRED) gentoo-dev 2005-03-21 05:49:37 UTC
I get an oops with dwl-650 and 2.6.11-r4 on a Compaq EVO N1020v. 
Comment 11 marco 2005-04-09 01:33:53 UTC
Are there any news from AVM? Or is there a suse Package I can use instead?
Comment 12 Stefan Briesenick (RETIRED) gentoo-dev 2005-04-09 02:09:09 UTC
I can confirm this problem in general, though I've never tested the Fritz!Card PCMCIA with a different kernel.

It works w/o any problems with the HiSax driver:

[/etc/pcmcia/avm.conf]

device "fcpcmcia_cs"
  class "isdn" module "fcpcmcia_cs"

device "avma1_cs"
  class "isdn" module "hisax" opts "type=26 protocol=2" module "avma1_cs"

card "AVM ISDN-Controller A1"
  version "AVM", "ISDN A"
# bind "fcpcmcia_cs"
  bind "avma1_cs"

with HiSax you don't have neither CAPI nor T.30 FAX Support. So that can't be the final solution, but it's perhaps a temporarily workaround.

btw: ACCEPT_KEYWORDS="~x86" USE="softfax" emerge ivcall
and you can send/receive faxes with all I4L passive cards (or even CAPI based cards with CAPIDRV). It works! I've tested it. ;-)

Now back to the problem: I asked AVM about this problem, but got no answer yet. So all we can do right now is to suggest either a kernel-downgrade or using HiSax.
Comment 13 marco 2005-05-27 05:50:42 UTC
Friend of mine has fedora core installed. He has also a 2.6.11 kernel version 
installed. There is no issue with pcmcia fritz cards at all. But as alway, the 
road with gentoo has MANY more stones as any other dist one :-) 
Comment 14 Stefan Briesenick (RETIRED) gentoo-dev 2005-05-27 09:25:34 UTC
huh? then it would be nice to get the src.rpm of these modules. 
Comment 15 Stefan Schweizer (RETIRED) gentoo-dev 2005-06-05 10:52:32 UTC
marco: Can you please get us in contact with your friend? I am really interested
how he managed to not get an oops and where he got the module sources from.

Is he maybe using the i4l module that just works?
Comment 16 Stefan Schweizer (RETIRED) gentoo-dev 2005-06-27 12:42:56 UTC
Can you please try the following ebuild?

http://dev.gentoo.org/~genstef/files/overlay/fritzcapi/fritzcapi-2.6.35.ebuild

Please dont forget the patch:
http://dev.gentoo.org/~genstef/files/overlay/fritzcapi/files/fcpcmcia-irq.diff
Comment 17 Stefan Briesenick (RETIRED) gentoo-dev 2005-06-29 16:03:03 UTC
ok, I tested the new ebuild + patch on 2.6.12-gentoo-r2. 
 
Result: it works! 
 
capiinfo shows infos about the card (incl. T.30 Fax G3 support) and ppp via 
capiplugin.so works also! Now I'm testing fax. ;-) 
 
this is what you have to set in /etc/pcmcia/avm.conf: 
 
device "fcpcmcia_cs" 
  class "isdn" module "fcpcmcia_cs" 
 
card "AVM ISDN-Controller A1" 
  version "AVM", "ISDN A" 
  bind "fcpcmcia_cs" 
 
 
Comment 18 Stefan Briesenick (RETIRED) gentoo-dev 2005-06-29 16:13:53 UTC
hmmm, fax isn't working right now.  
 
c2faxsend -f TIFF -d 123456 -v fritz_pic.tif 
Try to connect to fax number 123456 in TIFF mode on controller 1. 
Dial and starting transfer of TIFF-File fritz_pic.tif with fine resolution. 
Connection dropped with Reason 0x3400 (No additional information). 
 
It dials, connects, and then drops the line immediately. 
 
Comment 19 sf 2005-07-20 04:15:37 UTC
Re comment #11: See bug #99650 (maybe it helps)
Comment 20 Stefan Schweizer (RETIRED) gentoo-dev 2005-08-11 02:37:12 UTC
Should be fixed now with new fritzcapi-2.6.35